diff --git a/devel/kapptemplate/pkg-plist b/devel/kapptemplate/pkg-plist
index e42ded3a8f8b..90d54ce8fc56 100644
--- a/devel/kapptemplate/pkg-plist
+++ b/devel/kapptemplate/pkg-plist
@@ -8,8 +8,9 @@ share/icons/hicolor/32x32/apps/kapptemplate.png
 share/icons/hicolor/48x48/apps/kapptemplate.png
 share/icons/hicolor/64x64/apps/kapptemplate.png
 share/icons/hicolor/scalable/apps/kapptemplate.svg
-share/kdevappwizard/templates/kde-frameworks5-simple.tar.bz2
-share/kdevappwizard/templates/kde-frameworks5.tar.bz2
+share/kdevappwizard/templates/kde-frameworks6-simple.tar.bz2
+share/kdevappwizard/templates/kde-frameworks6.tar.bz2
+share/locale/ast/LC_MESSAGES/kapptemplate.mo
 share/locale/bg/LC_MESSAGES/kapptemplate.mo
 share/locale/bs/LC_MESSAGES/kapptemplate.mo
 share/locale/ca/LC_MESSAGES/kapptemplate.mo
@@ -27,7 +28,9 @@ share/locale/fi/LC_MESSAGES/kapptemplate.mo
 share/locale/fr/LC_MESSAGES/kapptemplate.mo
 share/locale/ga/LC_MESSAGES/kapptemplate.mo
 share/locale/gl/LC_MESSAGES/kapptemplate.mo
+share/locale/he/LC_MESSAGES/kapptemplate.mo
 share/locale/hu/LC_MESSAGES/kapptemplate.mo
+share/locale/ia/LC_MESSAGES/kapptemplate.mo
 share/locale/it/LC_MESSAGES/kapptemplate.mo
 share/locale/ja/LC_MESSAGES/kapptemplate.mo
 share/locale/ka/LC_MESSAGES/kapptemplate.mo
@@ -59,4 +62,4 @@ share/locale/uk/LC_MESSAGES/kapptemplate.mo
 share/locale/zh_CN/LC_MESSAGES/kapptemplate.mo
 share/locale/zh_TW/LC_MESSAGES/kapptemplate.mo
 share/metainfo/org.kde.kapptemplate.appdata.xml
-share/qlogging-categories5/kapptemplate.categories
+share/qlogging-categories6/kapptemplate.categories
diff --git a/devel/kcachegrind/Makefile b/devel/kcachegrind/Makefile
index ecbbb65b5d38..4f76814e0644 100644
--- a/devel/kcachegrind/Makefile
+++ b/devel/kcachegrind/Makefile
@@ -6,14 +6,14 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Profiler frontend for KDE
 WWW=		https://www.kde.org
 
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 python:run qt:5 \
-		shebangfix tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 shebangfix tar:xz xorg \
+		python:run
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons dbusaddons i18n itemviews jobwidgets kio service solid \
-		widgetsaddons windowsystem xmlgui \
+		coreaddons dbusaddons i18n itemviews jobwidgets kio service \
+		solid widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 SHEBANG_FILES=	converters/dprof2calltree \
diff --git a/devel/kcachegrind/distinfo b/devel/kcachegrind/distinfo
index 31266c7f439a..d6b00919bedb 100644
--- a/devel/kcachegrind/distinfo
+++ b/devel/kcachegrind/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889333
-SHA256 (KDE/release-service/23.08.5/kcachegrind-23.08.5.tar.xz) = 056687b7adb0049db0503738cf95a7051f3b889b3313fa8b78dc7d03c3dbb7b6
-SIZE (KDE/release-service/23.08.5/kcachegrind-23.08.5.tar.xz) = 938564
+TIMESTAMP = 1734460084
+SHA256 (KDE/release-service/24.12.0/kcachegrind-24.12.0.tar.xz) = 163e23e2f18874e90cbad8b4cb8b3b25fbfd0513d5acf182f2c0d92e8a3c48ba
+SIZE (KDE/release-service/24.12.0/kcachegrind-24.12.0.tar.xz) = 976688
diff --git a/devel/kcachegrind/pkg-plist b/devel/kcachegrind/pkg-plist
index 3097d1f46ff3..d870c13d2d8d 100644
--- a/devel/kcachegrind/pkg-plist
+++ b/devel/kcachegrind/pkg-plist
@@ -17,6 +17,8 @@ share/icons/hicolor/64x64/apps/kcachegrind.png
 %%DATADIR%%/icons/hicolor/32x32/actions/percent.png
 %%DATADIR%%/tips
 share/locale/ar/LC_MESSAGES/kcachegrind.mo
+share/locale/ast/LC_MESSAGES/kcachegrind.mo
+share/locale/ast/LC_MESSAGES/kcachegrind_qt.qm
 share/locale/be/LC_MESSAGES/kcachegrind.mo
 share/locale/bg/LC_MESSAGES/kcachegrind.mo
 share/locale/bg/LC_MESSAGES/kcachegrind_qt.qm
@@ -62,6 +64,8 @@ share/locale/hr/LC_MESSAGES/kcachegrind.mo
 share/locale/hr/LC_MESSAGES/kcachegrind_qt.qm
 share/locale/hu/LC_MESSAGES/kcachegrind.mo
 share/locale/hu/LC_MESSAGES/kcachegrind_qt.qm
+share/locale/ia/LC_MESSAGES/kcachegrind.mo
+share/locale/ia/LC_MESSAGES/kcachegrind_qt.qm
 share/locale/it/LC_MESSAGES/kcachegrind.mo
 share/locale/it/LC_MESSAGES/kcachegrind_qt.qm
 share/locale/ja/LC_MESSAGES/kcachegrind.mo
diff --git a/devel/kde-dev-scripts/Makefile b/devel/kde-dev-scripts/Makefile
index 59a873edf281..874a3bc2c1a3 100644
--- a/devel/kde-dev-scripts/Makefile
+++ b/devel/kde-dev-scripts/Makefile
@@ -1,14 +1,15 @@
 PORTNAME=	kde-dev-scripts
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	devel kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE development scripts
 
-USES=		cmake kde:5 perl5 python:run qt:5 shebangfix tar:xz
-USE_KDE=	doctools ecm:build
-USE_QT=		buildtools:build qmake:build
+USES=		cmake kde:6 perl5 qt:6 shebangfix tar:xz \
+		python:run
+USE_KDE=	doctools \
+		ecm:build
+USE_QT=		base
 
 SHEBANG_FILES=	cxxmetric \
 		draw_lib_dependencies \
diff --git a/devel/kde-dev-scripts/distinfo b/devel/kde-dev-scripts/distinfo
index 9d227d063a75..68f37209f8f3 100644
--- a/devel/kde-dev-scripts/distinfo
+++ b/devel/kde-dev-scripts/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889343
-SHA256 (KDE/release-service/23.08.5/kde-dev-scripts-23.08.5.tar.xz) = 0cb182454bd4627cb2eed796fea35bdb645f08744077c1098350f0fe347ac1f2
-SIZE (KDE/release-service/23.08.5/kde-dev-scripts-23.08.5.tar.xz) = 373940
+TIMESTAMP = 1734460085
+SHA256 (KDE/release-service/24.12.0/kde-dev-scripts-24.12.0.tar.xz) = 4d8abf915cdec7d973f40e2923ea275bfeaa77f84edd7c82fecee0e29189d66d
+SIZE (KDE/release-service/24.12.0/kde-dev-scripts-24.12.0.tar.xz) = 376196
diff --git a/devel/kde-dev-scripts/pkg-plist b/devel/kde-dev-scripts/pkg-plist
index ec0ec5ec16f6..735e7a21b115 100644
--- a/devel/kde-dev-scripts/pkg-plist
+++ b/devel/kde-dev-scripts/pkg-plist
@@ -1,4 +1,5 @@
 bin/adddebug
+bin/addmocincludes
 bin/build-progress.sh
 bin/c++-copy-class-and-file
 bin/c++-rename-class-and-file
@@ -44,8 +45,8 @@ bin/nonsvnlist
 bin/optimizegraphics
 bin/package_crystalsvg
 bin/png2mng.pl
+bin/port_new_gitlab_ci_template.sh
 bin/pruneemptydirs
-bin/qtdoc
 bin/reviewboard-am
 bin/svn-clean
 bin/svnbackport
@@ -74,7 +75,6 @@ share/man/ca/man1/extend_dmalloc.1.gz
 share/man/ca/man1/extractrc.1.gz
 share/man/ca/man1/fixincludes.1.gz
 share/man/ca/man1/pruneemptydirs.1.gz
-share/man/ca/man1/qtdoc.1.gz
 share/man/ca/man1/zonetab2pot.py.1.gz
 share/man/da/man1/adddebug.1.gz
 share/man/da/man1/cheatmake.1.gz
@@ -89,7 +89,6 @@ share/man/da/man1/extend_dmalloc.1.gz
 share/man/da/man1/extractrc.1.gz
 share/man/da/man1/fixincludes.1.gz
 share/man/da/man1/pruneemptydirs.1.gz
-share/man/da/man1/qtdoc.1.gz
 share/man/da/man1/zonetab2pot.py.1.gz
 share/man/de/man1/adddebug.1.gz
 share/man/de/man1/cheatmake.1.gz
@@ -105,7 +104,6 @@ share/man/de/man1/extend_dmalloc.1.gz
 share/man/de/man1/extractrc.1.gz
 share/man/de/man1/fixincludes.1.gz
 share/man/de/man1/pruneemptydirs.1.gz
-share/man/de/man1/qtdoc.1.gz
 share/man/de/man1/zonetab2pot.py.1.gz
 share/man/es/man1/adddebug.1.gz
 share/man/es/man1/cheatmake.1.gz
@@ -121,9 +119,7 @@ share/man/es/man1/extend_dmalloc.1.gz
 share/man/es/man1/extractrc.1.gz
 share/man/es/man1/fixincludes.1.gz
 share/man/es/man1/pruneemptydirs.1.gz
-share/man/es/man1/qtdoc.1.gz
 share/man/es/man1/zonetab2pot.py.1.gz
-share/man/et/man1/qtdoc.1.gz
 share/man/fr/man1/adddebug.1.gz
 share/man/fr/man1/cheatmake.1.gz
 share/man/fr/man1/create_cvsignore.1.gz
@@ -138,7 +134,6 @@ share/man/fr/man1/extend_dmalloc.1.gz
 share/man/fr/man1/extractrc.1.gz
 share/man/fr/man1/fixincludes.1.gz
 share/man/fr/man1/pruneemptydirs.1.gz
-share/man/fr/man1/qtdoc.1.gz
 share/man/fr/man1/zonetab2pot.py.1.gz
 share/man/gl/man1/adddebug.1.gz
 share/man/gl/man1/cheatmake.1.gz
@@ -153,7 +148,6 @@ share/man/gl/man1/extend_dmalloc.1.gz
 share/man/gl/man1/extractrc.1.gz
 share/man/gl/man1/fixincludes.1.gz
 share/man/gl/man1/pruneemptydirs.1.gz
-share/man/gl/man1/qtdoc.1.gz
 share/man/gl/man1/zonetab2pot.py.1.gz
 share/man/it/man1/adddebug.1.gz
 share/man/it/man1/cheatmake.1.gz
@@ -169,7 +163,6 @@ share/man/it/man1/extend_dmalloc.1.gz
 share/man/it/man1/extractrc.1.gz
 share/man/it/man1/fixincludes.1.gz
 share/man/it/man1/pruneemptydirs.1.gz
-share/man/it/man1/qtdoc.1.gz
 share/man/it/man1/zonetab2pot.py.1.gz
 share/man/man1/adddebug.1.gz
 share/man/man1/cheatmake.1.gz
@@ -185,7 +178,6 @@ share/man/man1/extend_dmalloc.1.gz
 share/man/man1/extractrc.1.gz
 share/man/man1/fixincludes.1.gz
 share/man/man1/pruneemptydirs.1.gz
-share/man/man1/qtdoc.1.gz
 share/man/man1/zonetab2pot.py.1.gz
 share/man/nl/man1/adddebug.1.gz
 share/man/nl/man1/cheatmake.1.gz
@@ -201,7 +193,6 @@ share/man/nl/man1/extend_dmalloc.1.gz
 share/man/nl/man1/extractrc.1.gz
 share/man/nl/man1/fixincludes.1.gz
 share/man/nl/man1/pruneemptydirs.1.gz
-share/man/nl/man1/qtdoc.1.gz
 share/man/nl/man1/zonetab2pot.py.1.gz
 share/man/pt/man1/adddebug.1.gz
 share/man/pt/man1/cheatmake.1.gz
@@ -217,7 +208,6 @@ share/man/pt/man1/extend_dmalloc.1.gz
 share/man/pt/man1/extractrc.1.gz
 share/man/pt/man1/fixincludes.1.gz
 share/man/pt/man1/pruneemptydirs.1.gz
-share/man/pt/man1/qtdoc.1.gz
 share/man/pt/man1/zonetab2pot.py.1.gz
 share/man/pt_BR/man1/adddebug.1.gz
 share/man/pt_BR/man1/cheatmake.1.gz
@@ -233,7 +223,6 @@ share/man/pt_BR/man1/extend_dmalloc.1.gz
 share/man/pt_BR/man1/extractrc.1.gz
 share/man/pt_BR/man1/fixincludes.1.gz
 share/man/pt_BR/man1/pruneemptydirs.1.gz
-share/man/pt_BR/man1/qtdoc.1.gz
 share/man/pt_BR/man1/zonetab2pot.py.1.gz
 share/man/ru/man1/adddebug.1.gz
 share/man/ru/man1/cheatmake.1.gz
@@ -249,8 +238,22 @@ share/man/ru/man1/extend_dmalloc.1.gz
 share/man/ru/man1/extractrc.1.gz
 share/man/ru/man1/fixincludes.1.gz
 share/man/ru/man1/pruneemptydirs.1.gz
-share/man/ru/man1/qtdoc.1.gz
 share/man/ru/man1/zonetab2pot.py.1.gz
+share/man/sl/man1/adddebug.1.gz
+share/man/sl/man1/cheatmake.1.gz
+share/man/sl/man1/create_cvsignore.1.gz
+share/man/sl/man1/create_makefile.1.gz
+share/man/sl/man1/create_makefiles.1.gz
+share/man/sl/man1/cvscheck.1.gz
+share/man/sl/man1/cvslastchange.1.gz
+share/man/sl/man1/cvslastlog.1.gz
+share/man/sl/man1/cvsrevertlast.1.gz
+share/man/sl/man1/cxxmetric.1.gz
+share/man/sl/man1/extend_dmalloc.1.gz
+share/man/sl/man1/extractrc.1.gz
+share/man/sl/man1/fixincludes.1.gz
+share/man/sl/man1/pruneemptydirs.1.gz
+share/man/sl/man1/zonetab2pot.py.1.gz
 share/man/sv/man1/adddebug.1.gz
 share/man/sv/man1/cheatmake.1.gz
 share/man/sv/man1/create_cvsignore.1.gz
@@ -265,7 +268,6 @@ share/man/sv/man1/extend_dmalloc.1.gz
 share/man/sv/man1/extractrc.1.gz
 share/man/sv/man1/fixincludes.1.gz
 share/man/sv/man1/pruneemptydirs.1.gz
-share/man/sv/man1/qtdoc.1.gz
 share/man/sv/man1/zonetab2pot.py.1.gz
 share/man/uk/man1/adddebug.1.gz
 share/man/uk/man1/cheatmake.1.gz
@@ -281,7 +283,6 @@ share/man/uk/man1/extend_dmalloc.1.gz
 share/man/uk/man1/extractrc.1.gz
 share/man/uk/man1/fixincludes.1.gz
 share/man/uk/man1/pruneemptydirs.1.gz
-share/man/uk/man1/qtdoc.1.gz
 share/man/uk/man1/zonetab2pot.py.1.gz
 share/uncrustify/uncrustify-kf5.cfg
 share/uncrustify/uncrustify-qt.cfg
diff --git a/devel/kde-dev-utils/Makefile b/devel/kde-dev-utils/Makefile
index 63c624e4f64f..cd5ffba09a13 100644
--- a/devel/kde-dev-utils/Makefile
+++ b/devel/kde-dev-utils/Makefile
@@ -5,15 +5,14 @@ CATEGORIES=	devel kde kde-applications
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE development utilities
 
-USES=		compiler:c++11-lang cmake desktop-file-utils gl kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext gl kde:6 \
+		qt:6 tar:xz xorg
 USE_GL=		gl
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons i18n itemviews jobwidgets kio parts service \
-		solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		coreaddons i18n itemviews jobwidgets kio parts service solid \
+		sonnet textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus designer gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/devel/kde-dev-utils/distinfo b/devel/kde-dev-utils/distinfo
index 6c43088f5742..81908ec5b3b0 100644
--- a/devel/kde-dev-utils/distinfo
+++ b/devel/kde-dev-utils/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889343
-SHA256 (KDE/release-service/23.08.5/kde-dev-utils-23.08.5.tar.xz) = 26ddf53f81b3988d81a09e7a4541a80088fe261b16db8451c0a758e0ec6fee83
-SIZE (KDE/release-service/23.08.5/kde-dev-utils-23.08.5.tar.xz) = 75136
+TIMESTAMP = 1734460087
+SHA256 (KDE/release-service/24.12.0/kde-dev-utils-24.12.0.tar.xz) = 5fd608c52843b2f8c263cb9abb77feb02c065646654f130f5212336a7a640210
+SIZE (KDE/release-service/24.12.0/kde-dev-utils-24.12.0.tar.xz) = 75616
diff --git a/devel/kde-dev-utils/pkg-plist b/devel/kde-dev-utils/pkg-plist
index 71215f02368a..3a6a1bdc1c36 100644
--- a/devel/kde-dev-utils/pkg-plist
+++ b/devel/kde-dev-utils/pkg-plist
@@ -1,7 +1,7 @@
 bin/kpartloader
 bin/kuiviewer
-%%QT_PLUGINDIR%%/kf5/parts/kuiviewerpart.so
-%%QT_PLUGINDIR%%/quithumbnail.so
+%%QT_PLUGINDIR%%/kf6/parts/kuiviewerpart.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/quithumbnail.so
 share/applications/org.kde.kuiviewer.desktop
 share/icons/hicolor/128x128/apps/kuiviewer.png
 share/icons/hicolor/16x16/apps/kuiviewer.png
@@ -9,9 +9,9 @@ share/icons/hicolor/32x32/apps/kuiviewer.png
 share/icons/hicolor/48x48/apps/kuiviewer.png
 share/icons/hicolor/64x64/apps/kuiviewer.png
 share/icons/hicolor/scalable/apps/kuiviewer.svg
-share/kservices5/designerthumbnail.desktop
-share/kservices5/kuiviewer_part.desktop
 share/locale/ar/LC_MESSAGES/kuiviewer.mo
+share/locale/ast/LC_MESSAGES/kpartloader.mo
+share/locale/ast/LC_MESSAGES/kuiviewer.mo
 share/locale/az/LC_MESSAGES/kpartloader.mo
 share/locale/az/LC_MESSAGES/kuiviewer.mo
 share/locale/be/LC_MESSAGES/kuiviewer.mo
@@ -52,6 +52,8 @@ share/locale/ga/LC_MESSAGES/kpartloader.mo
 share/locale/ga/LC_MESSAGES/kuiviewer.mo
 share/locale/gl/LC_MESSAGES/kpartloader.mo
 share/locale/gl/LC_MESSAGES/kuiviewer.mo
+share/locale/he/LC_MESSAGES/kpartloader.mo
+share/locale/he/LC_MESSAGES/kuiviewer.mo
 share/locale/hi/LC_MESSAGES/kuiviewer.mo
 share/locale/hne/LC_MESSAGES/kuiviewer.mo
 share/locale/hr/LC_MESSAGES/kpartloader.mo
diff --git a/devel/kdesdk-kio/Makefile b/devel/kdesdk-kio/Makefile
index eb4547dac289..4ceaf895b91b 100644
--- a/devel/kdesdk-kio/Makefile
+++ b/devel/kdesdk-kio/Makefile
@@ -6,11 +6,10 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KIO workers useful for software development
 WWW=		https://kde.org/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 shebangfix tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 shebangfix tar:xz
 USE_KDE=	config coreaddons i18n kio service \
 		ecm:build
-USE_QT=		concurrent core dbus network \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 
 SHEBANG_FILES=	perldoc/pod2html.pl
 
diff --git a/devel/kdesdk-kio/distinfo b/devel/kdesdk-kio/distinfo
index 3369bc2694ec..f0b21a6637c3 100644
--- a/devel/kdesdk-kio/distinfo
+++ b/devel/kdesdk-kio/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889332
-SHA256 (KDE/release-service/23.08.5/kdesdk-kio-23.08.5.tar.xz) = 7e37d9aee2e1e06bf7bd834108a893a48e3f5f28e6a1c1b8645e658251fdcf35
-SIZE (KDE/release-service/23.08.5/kdesdk-kio-23.08.5.tar.xz) = 40488
+TIMESTAMP = 1734460088
+SHA256 (KDE/release-service/24.12.0/kdesdk-kio-24.12.0.tar.xz) = 298dd4faaa1d91ca64355d8ebb81f2558ebd15a2093774e51a4cc63a4ecd59e8
+SIZE (KDE/release-service/24.12.0/kdesdk-kio-24.12.0.tar.xz) = 41768
diff --git a/devel/kdesdk-kio/pkg-plist b/devel/kdesdk-kio/pkg-plist
index 9d04a78cef0b..9202ed1aecbb 100644
--- a/devel/kdesdk-kio/pkg-plist
+++ b/devel/kdesdk-kio/pkg-plist
@@ -1,45 +1,48 @@
-%%QT_PLUGINDIR%%/kf5/kio/perldoc.so
+%%QT_PLUGINDIR%%/kf6/kio/perldoc.so
 share/kio_perldoc/pod2html.pl
-share/locale/bs/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ca/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ca@valencia/LC_MESSAGES/kio5_perldoc.mo
-share/locale/cs/LC_MESSAGES/kio5_perldoc.mo
-share/locale/da/LC_MESSAGES/kio5_perldoc.mo
-share/locale/de/LC_MESSAGES/kio5_perldoc.mo
-share/locale/el/LC_MESSAGES/kio5_perldoc.mo
-share/locale/en_GB/LC_MESSAGES/kio5_perldoc.mo
-share/locale/eo/LC_MESSAGES/kio5_perldoc.mo
-share/locale/es/LC_MESSAGES/kio5_perldoc.mo
-share/locale/et/LC_MESSAGES/kio5_perldoc.mo
-share/locale/eu/LC_MESSAGES/kio5_perldoc.mo
-share/locale/fi/LC_MESSAGES/kio5_perldoc.mo
-share/locale/fr/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ga/LC_MESSAGES/kio5_perldoc.mo
-share/locale/gl/LC_MESSAGES/kio5_perldoc.mo
-share/locale/hi/LC_MESSAGES/kio5_perldoc.mo
-share/locale/hu/LC_MESSAGES/kio5_perldoc.mo
-share/locale/it/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ja/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ka/LC_MESSAGES/kio5_perldoc.mo
-share/locale/kk/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ko/LC_MESSAGES/kio5_perldoc.mo
-share/locale/lt/LC_MESSAGES/kio5_perldoc.mo
-share/locale/mr/LC_MESSAGES/kio5_perldoc.mo
-share/locale/nb/LC_MESSAGES/kio5_perldoc.mo
-share/locale/nds/LC_MESSAGES/kio5_perldoc.mo
-share/locale/nl/LC_MESSAGES/kio5_perldoc.mo
-share/locale/nn/LC_MESSAGES/kio5_perldoc.mo
-share/locale/pa/LC_MESSAGES/kio5_perldoc.mo
-share/locale/pl/LC_MESSAGES/kio5_perldoc.mo
-share/locale/pt/LC_MESSAGES/kio5_perldoc.mo
-share/locale/pt_BR/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ru/LC_MESSAGES/kio5_perldoc.mo
-share/locale/sk/LC_MESSAGES/kio5_perldoc.mo
-share/locale/sl/LC_MESSAGES/kio5_perldoc.mo
-share/locale/sq/LC_MESSAGES/kio5_perldoc.mo
-share/locale/sv/LC_MESSAGES/kio5_perldoc.mo
-share/locale/tr/LC_MESSAGES/kio5_perldoc.mo
-share/locale/ug/LC_MESSAGES/kio5_perldoc.mo
-share/locale/uk/LC_MESSAGES/kio5_perldoc.mo
-share/locale/zh_CN/LC_MESSAGES/kio5_perldoc.mo
-share/locale/zh_TW/LC_MESSAGES/kio5_perldoc.mo
+share/locale/bs/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ca/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ca@valencia/LC_MESSAGES/kio6_perldoc.mo
+share/locale/cs/LC_MESSAGES/kio6_perldoc.mo
+share/locale/da/LC_MESSAGES/kio6_perldoc.mo
+share/locale/de/LC_MESSAGES/kio6_perldoc.mo
+share/locale/el/LC_MESSAGES/kio6_perldoc.mo
+share/locale/en_GB/LC_MESSAGES/kio6_perldoc.mo
+share/locale/eo/LC_MESSAGES/kio6_perldoc.mo
+share/locale/es/LC_MESSAGES/kio6_perldoc.mo
+share/locale/et/LC_MESSAGES/kio6_perldoc.mo
+share/locale/eu/LC_MESSAGES/kio6_perldoc.mo
+share/locale/fi/LC_MESSAGES/kio6_perldoc.mo
+share/locale/fr/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ga/LC_MESSAGES/kio6_perldoc.mo
+share/locale/gl/LC_MESSAGES/kio6_perldoc.mo
+share/locale/he/LC_MESSAGES/kio6_perldoc.mo
+share/locale/hi/LC_MESSAGES/kio6_perldoc.mo
+share/locale/hu/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ia/LC_MESSAGES/kio6_perldoc.mo
+share/locale/it/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ja/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ka/LC_MESSAGES/kio6_perldoc.mo
+share/locale/kk/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ko/LC_MESSAGES/kio6_perldoc.mo
+share/locale/lt/LC_MESSAGES/kio6_perldoc.mo
+share/locale/lv/LC_MESSAGES/kio6_perldoc.mo
+share/locale/mr/LC_MESSAGES/kio6_perldoc.mo
+share/locale/nb/LC_MESSAGES/kio6_perldoc.mo
+share/locale/nds/LC_MESSAGES/kio6_perldoc.mo
+share/locale/nl/LC_MESSAGES/kio6_perldoc.mo
+share/locale/nn/LC_MESSAGES/kio6_perldoc.mo
+share/locale/pa/LC_MESSAGES/kio6_perldoc.mo
+share/locale/pl/LC_MESSAGES/kio6_perldoc.mo
+share/locale/pt/LC_MESSAGES/kio6_perldoc.mo
+share/locale/pt_BR/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ru/LC_MESSAGES/kio6_perldoc.mo
+share/locale/sk/LC_MESSAGES/kio6_perldoc.mo
+share/locale/sl/LC_MESSAGES/kio6_perldoc.mo
+share/locale/sq/LC_MESSAGES/kio6_perldoc.mo
+share/locale/sv/LC_MESSAGES/kio6_perldoc.mo
+share/locale/tr/LC_MESSAGES/kio6_perldoc.mo
+share/locale/ug/LC_MESSAGES/kio6_perldoc.mo
+share/locale/uk/LC_MESSAGES/kio6_perldoc.mo
+share/locale/zh_CN/LC_MESSAGES/kio6_perldoc.mo
+share/locale/zh_TW/LC_MESSAGES/kio6_perldoc.mo
diff --git a/devel/kdesdk-thumbnailers/Makefile b/devel/kdesdk-thumbnailers/Makefile
index 85d34b01fd94..440863807850 100644
--- a/devel/kdesdk-thumbnailers/Makefile
+++ b/devel/kdesdk-thumbnailers/Makefile
@@ -8,12 +8,11 @@ WWW=		https://www.kde.org/
 
 LIB_DEPENDS=	libgettextpo.so:devel/gettext-tools
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	completion config coreaddons i18n jobwidgets \
-		kio service solid widgetsaddons windowsystem \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	completion config coreaddons i18n jobwidgets kio service solid \
+		widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/devel/kdesdk-thumbnailers/distinfo b/devel/kdesdk-thumbnailers/distinfo
index d22058f18181..a169a64be344 100644
--- a/devel/kdesdk-thumbnailers/distinfo
+++ b/devel/kdesdk-thumbnailers/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889332
-SHA256 (KDE/release-service/23.08.5/kdesdk-thumbnailers-23.08.5.tar.xz) = 259e444cf10b03b858967f729f643be7912f6f8c4d62eca250f2543d9c24e4fb
-SIZE (KDE/release-service/23.08.5/kdesdk-thumbnailers-23.08.5.tar.xz) = 27376
+TIMESTAMP = 1734460090
+SHA256 (KDE/release-service/24.12.0/kdesdk-thumbnailers-24.12.0.tar.xz) = a9816bc6178891fd0a160fb44f050b62c0daa03b19169355ea7974714f15d43c
+SIZE (KDE/release-service/24.12.0/kdesdk-thumbnailers-24.12.0.tar.xz) = 27272
diff --git a/devel/kdesdk-thumbnailers/pkg-plist b/devel/kdesdk-thumbnailers/pkg-plist
index a99756055bc2..0a3abeda62ac 100644
--- a/devel/kdesdk-thumbnailers/pkg-plist
+++ b/devel/kdesdk-thumbnailers/pkg-plist
@@ -1,4 +1,4 @@
-%%QT_PLUGINDIR%%/kf5/thumbcreator/pothumbnail.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/pothumbnail.so
 share/config.kcfg/pocreatorsettings.kcfg
 share/locale/ar/LC_MESSAGES/pothumbnail.mo
 share/locale/bg/LC_MESSAGES/pothumbnail.mo
@@ -18,6 +18,7 @@ share/locale/fi/LC_MESSAGES/pothumbnail.mo
 share/locale/fr/LC_MESSAGES/pothumbnail.mo
 share/locale/ga/LC_MESSAGES/pothumbnail.mo
 share/locale/gl/LC_MESSAGES/pothumbnail.mo
+share/locale/he/LC_MESSAGES/pothumbnail.mo
 share/locale/hi/LC_MESSAGES/pothumbnail.mo
 share/locale/hu/LC_MESSAGES/pothumbnail.mo
 share/locale/id/LC_MESSAGES/pothumbnail.mo
diff --git a/devel/kdesdk/Makefile b/devel/kdesdk/Makefile
index 0a755fd12369..135862de9c6b 100644
--- a/devel/kdesdk/Makefile
+++ b/devel/kdesdk/Makefile
@@ -5,7 +5,7 @@ CATEGORIES=	devel kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Software Development Kit
 
-USES=		kde:5 metaport qt:5
+USES=		kde:6 metaport qt:6
 USE_QT=		#
 
 OPTIONS_DEFINE=	CERVISIA \
diff --git a/devel/kdev-php/Makefile b/devel/kdev-php/Makefile
index 36bb44fe60c4..cc1e01b1d9ee 100644
--- a/devel/kdev-php/Makefile
+++ b/devel/kdev-php/Makefile
@@ -11,18 +11,18 @@ LICENSE=	GPLv2+
 BUILD_DEPENDS=	kdev-pg-qt:devel/kdevelop-pg-qt
 LIB_DEPENDS=	libKDevPlatformInterfaces.so:devel/kdevelop
 
-USES=		cmake compiler:c++11-lib kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons ecm:build \
-		i18n itemmodels jobwidgets kcmutils kio parts service solid \
-		sonnet syntaxhighlighting texteditor textwidgets threadweaver \
-		widgetsaddons windowsystem xmlgui
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USES=		cmake compiler:c++11-lib kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		itemmodels jobwidgets kcmutils kio parts service solid sonnet \
+		syntaxhighlighting texteditor textwidgets threadweaver \
+		widgetsaddons windowsystem xmlgui \
+		ecm:build
+USE_QT=		base
 USE_XORG=	x11
 
 # Versioning values, to reduce plist churn (match with devel/kdevelop)
-PLATFORM_VER=	511
-PRIVATE_VER=	5.7
+PLATFORM_VER=	61
+PRIVATE_VER=	6.0
 PLIST_SUB+=	PLATFORM_VER=${PLATFORM_VER} PRIVATE_VER=${PRIVATE_VER}
 
 # Does not build with jobs.
diff --git a/devel/kdev-php/distinfo b/devel/kdev-php/distinfo
index 776fb93b2ca7..03357f333845 100644
--- a/devel/kdev-php/distinfo
+++ b/devel/kdev-php/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889342
-SHA256 (KDE/release-service/23.08.5/kdev-php-23.08.5.tar.xz) = 2663298ffaa479791d3600e82046069867d8fbcc1aa449f86c075712747e2e77
-SIZE (KDE/release-service/23.08.5/kdev-php-23.08.5.tar.xz) = 1089020
+TIMESTAMP = 1734460092
+SHA256 (KDE/release-service/24.12.0/kdev-php-24.12.0.tar.xz) = 4d81f13655b60df1df50493e0a28952f93eb3bf3b583336d89bda3c3c4d2fc64
+SIZE (KDE/release-service/24.12.0/kdev-php-24.12.0.tar.xz) = 1094416
diff --git a/devel/kdev-php/pkg-plist b/devel/kdev-php/pkg-plist
index e2f3bbcbc64c..352973d8b26f 100644
--- a/devel/kdev-php/pkg-plist
+++ b/devel/kdev-php/pkg-plist
@@ -18,14 +18,12 @@ lib/cmake/KDevPHP/KDevPHPTargets.cmake
 lib/libkdevphpcompletion.so
 lib/libkdevphpduchain.so
 lib/libkdevphpparser.so
-%%QT_PLUGINDIR%%/kdevplatform/512/kcm/kcm_kdevphpdocs.so
-%%QT_PLUGINDIR%%/kdevplatform/512/kdevphpdocs.so
-%%QT_PLUGINDIR%%/kdevplatform/512/kdevphplanguagesupport.so
-%%QT_PLUGINDIR%%/kdevplatform/512/kdevphpunitprovider.so
+%%QT_PLUGINDIR%%/kdevplatform/%%PLATFORM_VER%%/kdevphpdocs.so
+%%QT_PLUGINDIR%%/kdevplatform/%%PLATFORM_VER%%/kdevphplanguagesupport.so
+%%QT_PLUGINDIR%%/kdevplatform/%%PLATFORM_VER%%/kdevphpunitprovider.so
 share/kdevappwizard/templates/simple_phpapp.tar.bz2
 share/kdevphpsupport/phpfunctions.php
 share/kdevphpsupport/phpunitdeclarations.php
-share/kservices5/kcm_kdevphpdocs.desktop
 share/locale/bs/LC_MESSAGES/kdevphp.mo
 share/locale/ca/LC_MESSAGES/kdevphp.mo
 share/locale/ca@valencia/LC_MESSAGES/kdevphp.mo
@@ -42,8 +40,10 @@ share/locale/fi/LC_MESSAGES/kdevphp.mo
 share/locale/fr/LC_MESSAGES/kdevphp.mo
 share/locale/ga/LC_MESSAGES/kdevphp.mo
 share/locale/gl/LC_MESSAGES/kdevphp.mo
+share/locale/he/LC_MESSAGES/kdevphp.mo
 share/locale/hr/LC_MESSAGES/kdevphp.mo
 share/locale/hu/LC_MESSAGES/kdevphp.mo
+share/locale/ia/LC_MESSAGES/kdevphp.mo
 share/locale/it/LC_MESSAGES/kdevphp.mo
 share/locale/ja/LC_MESSAGES/kdevphp.mo
 share/locale/ka/LC_MESSAGES/kdevphp.mo
@@ -70,4 +70,4 @@ share/locale/uk/LC_MESSAGES/kdevphp.mo
 share/locale/zh_CN/LC_MESSAGES/kdevphp.mo
 share/locale/zh_TW/LC_MESSAGES/kdevphp.mo
 share/metainfo/org.kde.kdev-php.metainfo.xml
-share/qlogging-categories5/kdevphpsupport.categories
+share/qlogging-categories6/kdevphpsupport.categories
diff --git a/devel/kdev-python/Makefile b/devel/kdev-python/Makefile
index c69779f64b88..6f0099e01b8e 100644
--- a/devel/kdev-python/Makefile
+++ b/devel/kdev-python/Makefile
@@ -11,17 +11,17 @@ LICENSE=	GPLv2+
 BUILD_DEPENDS=	kdev-pg-qt:devel/kdevelop-pg-qt
 LIB_DEPENDS=	libKDevPlatformInterfaces.so:devel/kdevelop
 
-USES=		cmake compiler:c++11-lib kde:5 python qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib kde:6 python qt:6 tar:xz xorg
 USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
-		ecm:build i18n itemmodels jobwidgets kio newstuff parts service \
-		solid sonnet syntaxhighlighting texteditor textwidgets \
-		threadweaver widgetsaddons windowsystem xmlgui
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+		i18n itemmodels jobwidgets kio newstuff parts service solid \
+		sonnet syntaxhighlighting texteditor textwidgets threadweaver \
+		widgetsaddons windowsystem xmlgui \
+		ecm:build
+USE_QT=		base
 USE_XORG=	x11
 
 # Versioning values, to reduce plist churn (match with devel/kdevelop)
-PLATFORM_VER=	511
+PLATFORM_VER=	61
 PLIST_SUB+=	PLATFORM_VER=${PLATFORM_VER}
 
 # Does not build with jobs.
diff --git a/devel/kdev-python/distinfo b/devel/kdev-python/distinfo
index 2b2904c3aefc..1eabdc72e953 100644
--- a/devel/kdev-python/distinfo
+++ b/devel/kdev-python/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889338
-SHA256 (KDE/release-service/23.08.5/kdev-python-23.08.5.tar.xz) = 7abf49e1bb30875599ab46731294edb3314583c0e17baf6b37472f7f6fde760a
-SIZE (KDE/release-service/23.08.5/kdev-python-23.08.5.tar.xz) = 1098768
+TIMESTAMP = 1734460094
+SHA256 (KDE/release-service/24.12.0/kdev-python-24.12.0.tar.xz) = 49eb40bdd574f62026a1d66ba2092f978c7cf6325fea23a916c40513409cbbe1
+SIZE (KDE/release-service/24.12.0/kdev-python-24.12.0.tar.xz) = 1102952
diff --git a/devel/kdev-python/pkg-plist b/devel/kdev-python/pkg-plist
index 3a79426035fa..f12cea1d26d9 100644
--- a/devel/kdev-python/pkg-plist
+++ b/devel/kdev-python/pkg-plist
@@ -1,8 +1,8 @@
 lib/libkdevpythoncompletion.so
 lib/libkdevpythonduchain.so
 lib/libkdevpythonparser.so
-%%QT_PLUGINDIR%%/kdevplatform/512/kdevpdb.so
-%%QT_PLUGINDIR%%/kdevplatform/512/kdevpythonlanguagesupport.so
+%%QT_PLUGINDIR%%/kdevplatform/%%PLATFORM_VER%%/kdevpdb.so
+%%QT_PLUGINDIR%%/kdevplatform/%%PLATFORM_VER%%/kdevpythonlanguagesupport.so
 share/kdevappwizard/templates/django_project.tar.bz2
 share/kdevappwizard/templates/qtdesigner_app.tar.bz2
 share/kdevappwizard/templates/simple_pythonapp.tar.bz2
@@ -159,7 +159,9 @@ share/locale/fi/LC_MESSAGES/kdevpython.mo
 share/locale/fr/LC_MESSAGES/kdevpython.mo
 share/locale/ga/LC_MESSAGES/kdevpython.mo
 share/locale/gl/LC_MESSAGES/kdevpython.mo
+share/locale/he/LC_MESSAGES/kdevpython.mo
 share/locale/hu/LC_MESSAGES/kdevpython.mo
+share/locale/ia/LC_MESSAGES/kdevpython.mo
 share/locale/it/LC_MESSAGES/kdevpython.mo
 share/locale/ja/LC_MESSAGES/kdevpython.mo
 share/locale/ka/LC_MESSAGES/kdevpython.mo
@@ -186,4 +188,4 @@ share/locale/uk/LC_MESSAGES/kdevpython.mo
 share/locale/zh_CN/LC_MESSAGES/kdevpython.mo
 share/locale/zh_TW/LC_MESSAGES/kdevpython.mo
 share/metainfo/org.kde.kdev-python.metainfo.xml
-share/qlogging-categories5/kdevpythonsupport.categories
+share/qlogging-categories6/kdevpythonsupport.categories
diff --git a/devel/kdevelop-pg-qt/Makefile b/devel/kdevelop-pg-qt/Makefile
index 386b336ad0c7..40f1d8c4e0a8 100644
--- a/devel/kdevelop-pg-qt/Makefile
+++ b/devel/kdevelop-pg-qt/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kdevelop-pg-qt
-DISTVERSION=	2.2.2
-PORTREVISION=	1
+DISTVERSION=	2.3.0
 CATEGORIES=	devel kde
 MASTER_SITES=	KDE/stable/${PORTNAME}/${DISTVERSION}/src
 DIST_SUBDIR=	KDE/kdevelop
@@ -14,11 +13,9 @@ LICENSE_FILE=	${WRKSRC}/COPYING.LIB
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/flex:textproc/flex
 
-USES=		bison cmake compiler:c++11-lib kde:5 qt:5 tar:xz
+USES=		bison cmake compiler:c++11-lib kde:6 qt:6 tar:xz
 USE_KDE=	ecm:build
-USE_QT=		core testlib \
-		buildtools:build qmake:build
-
+USE_QT=		base	
 CONFLICTS=	kdevelop-pg-qt-1.0*
 
 .include <bsd.port.mk>
diff --git a/devel/kdevelop-pg-qt/distinfo b/devel/kdevelop-pg-qt/distinfo
index 76ddfb686930..7291fdad289f 100644
--- a/devel/kdevelop-pg-qt/distinfo
+++ b/devel/kdevelop-pg-qt/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1673503552
-SHA256 (KDE/kdevelop/kdevelop-pg-qt-2.2.2.tar.xz) = 3d56604c479f8f04ae32a523ee91f3078c717117d0deb39e973e22494cbb65f1
-SIZE (KDE/kdevelop/kdevelop-pg-qt-2.2.2.tar.xz) = 660708
+TIMESTAMP = 1723744918
+SHA256 (KDE/kdevelop/kdevelop-pg-qt-2.3.0.tar.xz) = 3d3ef3cb395e9670e60c399ea6d865cc796e00e52c355eed943fbeca7da7120d
+SIZE (KDE/kdevelop/kdevelop-pg-qt-2.3.0.tar.xz) = 660164
diff --git a/devel/kdevelop-pg-qt/pkg-plist b/devel/kdevelop-pg-qt/pkg-plist
index ac64f403570f..dc4277dbef53 100644
--- a/devel/kdevelop-pg-qt/pkg-plist
+++ b/devel/kdevelop-pg-qt/pkg-plist
@@ -8,3 +8,4 @@ include/kdevelop-pg-qt/kdev-pg-token-stream.h
 include/kdevelop-pg-qt/kdevelop-pg-qt_version.h
 lib/cmake/KDevelop-PG-Qt/KDevelop-PG-QtConfig.cmake
 lib/cmake/KDevelop-PG-Qt/KDevelop-PG-QtConfigVersion.cmake
+lib/cmake/KDevelop-PG-Qt/KDevelop-PG-QtMacros.cmake
